Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSTopicMBean

public interface JMSTopicMBean
extends JMSDestinationMBean

This class represents a JMS topic (Pub/Sub) destination for a JMS server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getMulticastAddress()` The IP address used for multicasting by the topic.
`int` | `getMulticastPort()` The IP port used for multicasting for the topic.
`int` | `getMulticastTTL()` The number of network hops that a multicast message is allowed to travel.
`void` | `setMulticastAddress(java.lang.String address)` The IP address used for multicasting by the topic.
`void` | `setMulticastPort(int port)` The IP port used for multicasting.
`void` | `setMulticastTTL(int ttl)` The number of network hops that a multicast message is allowed to travel.

Methods inherited from interface weblogic.management.configuration.JMSDestinationMBean
`getBytesPagingEnabled, getJNDIName, getMessagesPagingEnabled, getStoreEnabled, getTemplate, isJNDINameReplicated, setBytesPagingEnabled, setJNDIName, setJNDINameReplicated, setMessagesPagingEnabled, setStoreEnabled, setTemplate`

Methods inherited from interface weblogic.management.configuration.JMSDestCommonMBean
`addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getErrorDestination, getExpirationLoggingPolicy, getExpirationPolicy, getMaximumMessageSize, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getRedeliveryDelayOverride, getRedeliveryLimit, getTimeToDeliverOverride, getTimeToLiveOverride, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setCreationTime, setDeliveryModeOverride, setDestinationKeys, setErrorDestination, setExpirationLoggingPolicy, setExpirationPolicy, setMaximumMessageSize, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setRedeliveryDelayOverride, setRedeliveryLimit, setTimeToDeliverOverride, setTimeToLiveOverride`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMulticastAddress

    public java.lang.String getMulticastAddress()

  The IP address used for multicasting by the topic. This address is used to transmit messages to multicast consumers.

  A configurable MBean attribute
  Returns:
    The multicastAddress value

### setMulticastAddress

    public void setMulticastAddress(java.lang.String address)
                             throws javax.management.InvalidAttributeValueException

  The IP address used for multicasting by the topic. This address is used to transmit messages to multicast consumers.

  Parameters:
    `address` - The new multicastAddress value
  Throws:
    javax.management.InvalidAttributeValueException -
    java.lang.IllegalArgumentException - if the argument is not a well-formed IP address.

### getMulticastTTL

    public int getMulticastTTL()

  The number of network hops that a multicast message is allowed to travel.

  This is the Time-To-Live value used for multicasting, which specifyies the number of routers that the message can traverse enroute to the consumers. A value of 1 indicates that the message will not traverse any routers and is limited to one subnet.

  This value is independent of the JMSExpirationTime value.

  A configurable MBean attribute
  Default Value: 1
  Legal Minimum Value: 0
  Legal Maximum Value: 255
  Returns:
    The multicastTTL value

### setMulticastTTL

    public void setMulticastTTL(int ttl)
                         throws javax.management.InvalidAttributeValueException

  The number of network hops that a multicast message is allowed to travel.

  The Time-To-Live value used for multicasting, which specifyies the number of routers that the message can traverse enroute to the consumers. A value of 1 indicates that the message will not traverse any routers, and is limited to one subnet.

  This value is independent of the JMSExpirationTime value. This attribute is not dynamically configurable.

  Legal Minimum Value: 0
  Legal Maximum Value: 255
  Parameters:
    `ttl` - The new multicastTTL value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMulticastPort

    public int getMulticastPort()

  The IP port used for multicasting for the topic. This port is used to transmit messages to multicast consumers.

  A configurable MBean attribute
  Default Value: 6001
  Returns:
    The multicastPort value

### setMulticastPort

    public void setMulticastPort(int port)
                          throws javax.management.InvalidAttributeValueException

  The IP port used for multicasting. This port is used to transmit messages to multicast consumers.

  Legal Minimum Value: 1
  Legal Maximum Value: 65535
  Parameters:
    `port` - The new multicastPort value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD